epp_HostAddress (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epp0402.host.epp_HostAddress class

### org.openrtk.idl.epp0402.host

# Class epp_HostAddress

- `java.lang.Object`
- - `org.openrtk.idl.epp0402.host.epp_HostAddress`

Implemented Interfaces:
  org.omg.CORBA.portable.IDLEntity

`public class epp_HostAddress`
`extends java.lang.Object`
`implements org.omg.CORBA.portable.IDLEntity`

Class that contains the elements used to represent host IP addresses with the type: IPV4, IPV6. $Header: /cvsroot/epp-rtk/epp-rtk/java/src/org/openrtk/idl/epp0402/host/epp_HostAddress.java,v 1.1 2003/03/21 16:35:42 tubadanm Exp $
$Revision: 1.1 $
$Date: 2003/03/21 16:35:42 $

See Also:
  `epp_HostUpdateAddRemove`, `epp_HostCreateReq`, `epp_HostInfoRsp`

  ## Field Summary
  `String` | `m_ip` The ip address of the host address.
  `epp_HostAddressType` | `m_type` The type of the host address.

  ## Constructor Summary
  `epp_HostAddress()` Empty constructor
  `epp_HostAddress(epp_HostAddressType _m_type, String _m_ip)` The constructor with initializing variables.

  ## Method Summary
  `String` | `getIp()` Accessor method for the ip address of the host address
  `epp_HostAddressType` | `getType()` Accessor method for the type of the host address
  `void` | `setIp(String value)` Accessor method for the ip address of the host address
  `void` | `setType(epp_HostAddressType value)` Accessor method for the type of the host address
  `String` | `toString()` Converts this class into a string.

## Field Details

### m_ip

    public String m_ip

> The ip address of the host address.
> See Also:
>   `setIp(String)`, `getIp()`

### m_type

    public epp_HostAddressType m_type

> The type of the host address.
> See Also:
>   `setType(epp_HostAddressType)`, `getType()`

## Constructor Details

### epp_HostAddress

    public epp_HostAddress()

> Empty constructor

### epp_HostAddress

    public epp_HostAddress(epp_HostAddressType _m_type,
                           String _m_ip)

> The constructor with initializing variables.
> Parameters:
>   `_m_type` - The type of the host address
>   `_m_ip` - The ip address of the host address

## Method Details

### getIp

    public String getIp()

> Accessor method for the ip address of the host address
> Returns:
>   The host ip
> See Also:
>   `m_ip`

### getType

    public epp_HostAddressType getType()

> Accessor method for the type of the host address
> Returns:
>   The host address type
> See Also:
>   `m_type`

### setIp

    public void setIp(String value)

> Accessor method for the ip address of the host address
> Parameters:
>   `value` - The host ip
> See Also:
>   `m_ip`

### setType

    public void setType(epp_HostAddressType value)

> Accessor method for the type of the host address
> Parameters:
>   `value` - The host address type
> See Also:
>   `m_type`

### toString

    public String toString()

> Converts this class into a string. Typically used to view the object in debug output.
> Returns:
>   The string representation of this object instance

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS